class SI1 
{
  protected static String bar = "";

  static {
    bar = "hello";
  }
}

class SI2 extends SI1
{
  public SI2() {
    if (bar != null && bar.equals("hello again"))
      System.out.println("PASSED:  bar == hello again");
    else
      System.out.println("FAILED:  bar != hello again (it's " + bar + ")");
  }

  static {
    bar += " again";
  }
}

public class StaticInitTest1
{
  static String foo;

  public static void main(String args[])
  {
    if (foo != null && foo.equals("hello"))
      System.out.println("PASSED:  foo == hello");

    SI2 si2 = new SI2();
  }

  static {
    foo = "hello";
  }
}
